# <gunzip>

Expands a file packed using GZip compression.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
dest | file | The destination file. | True
src | file | The file to expand. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Examples

- Expands "test.tar.gz" to "test2.tar".

                  <gunzip src="test.tar.gz" dest="test.tar" />

### Requirements

Assembly: NAnt.CompressionTasks (0.90.3780.0)